Command line - Change pre-requisite min version / max version

Request new features that you would like to see in the next version of Advanced Installer.
Post Reply
TheRocket
Posts: 27
Joined: Thu Jul 26, 2012 6:55 pm

Command line - Change pre-requisite min version / max version

Post by TheRocket » Thu Nov 19, 2020 8:46 pm

You are working with advanced installer 17.6 to mass change the versions of your products.

Your product A have a prerequisite of your own product B.

Via command line, you want to Change the Min and Max version of the prerequisite display. Ex:

/edit projecta.aip /UpdatePrerequisite "Product B" ......

From documentation, it seems we can only change the min and max version values for the searches, not for the "Properties - Display" section.
I would suggest to expose the Min and max values from the "Properties - Display" section of a prerequisite.

Thanks!

Catalin
Posts: 3369
Joined: Wed Jun 13, 2018 7:49 am

Re: Command line - Change pre-requisite min version / max version

Post by Catalin » Fri Nov 20, 2020 1:45 pm

Hello,

I've done some digging and it seems that you are indeed right, we do not have CLI support to manipulate those two fields - Minimum and Maximum version fields from the "Display" section.

I will add this on our TODO list of improvements and hopefully this will be available in a future version of Advanced Installer.

Thank you for bringing this to our attention!

Best regards,
Catalin
Catalin Gheorghe - Advanced Installer Team
Follow us: Twitter - Facebook - YouTube

Post Reply